iSummary {SLGI} | R Documentation

## Summarize cellular organizational units sharing genetic interaction

### Description

Summarize the cellular organizational units sharing genetic interactions and display their GO annotation if available

### Usage

    iSummary(iMat, n=10, reverse=FALSE)

### Arguments

`iMat` | Comembership matrix of genes(proteins) that linked to other genes(proteins) by any biological experiment, e.g., output of the `getInteraction` function.
`n` | Numeric threshold indicating the minimum number of genetic interactions that a pair of cellular organizational unit must share.
`reverse` | Logical, by default the function return a list of pair of cellular organizational units where the name of each element is the number of genetic interactions they share. If reverse is TRUE, the output is a vector where the values are the number of interactions and the names are the combination of the 2 cellular organizational units.

### Value

The function print the result in the standard output but can also save it in variable.
If `reverse` is FALSE the output is a list of pairs of cellular organizational units where the name of each element is the number of genetic interactions they share.
If `reverse` is TRUE the output is a vector where the values are the number of interactions and the names are the combination of the 2 cellular organizational units.

### Author(s)

N. LeMeur

### Examples

    data(Atong)
    data(ScISIC)
    data(SGA)
    SLa2 <- gi2Interactome(Atong, ScISIC)
    ## Search for synthetic lethal interaction
    compM <- getInteraction(SLa2, SGA, ScISIC)
    ## Display the tightly interacting pairs
    largeInt <- iSummary(compM$bwMat,n=15)

[Package SLGI version 1.2.0 Index]